#
# spec file for package openattic
#
# Copyright (c) 2016-2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name: openattic
Version: 2.0.20
Release: 1.1
Summary: Comprehensive Storage Management System
Group: System Environment/Libraries
License: GPL-2.0
URL: http://www.openattic.org
BuildArch: noarch
Source:	%{name}-%{version}.tar.bz2

%if 0%{?suse_version} >= 1210
BuildRequires: systemd-rpm-macros
%endif
%if 0%{?suse_version} >= 1020
BuildRequires:  fdupes
%endif
BuildRequires: apache2
BuildRequires: lvm2
BuildRequires: icinga
BuildRequires: nagios-rpm-macros
# BuildRequires: policycoreutils
# BuildRequires: policycoreutils-python
BuildRequires: postgresql
BuildRequires: postgresql-server
BuildRequires: pnp4nagios
BuildRequires: pnp4nagios-icinga
BuildRequires: rsync
#Requires:	%{name}-module-cron
#Requires:	%{name}-module-http
Requires:	%{name}-module-lio
#Requires:	%{name}-module-lvm
#Requires:	%{name}-module-mailaliases
Requires:	%{name}-module-icinga
Requires:	%{name}-module-nfs
Requires:	%{name}-module-samba
Requires:	%{name}-pgsql

# These subpackages have been removed in 2.0.19 (OP#1968)
Obsoletes: %{name}-module-ipmi <= 2.0.18
Obsoletes: %{name}-module-mdraid <= 2.0.18
Obsoletes: %{name}-module-twraid <= 2.0.18

# OpenATTIC and Crowbar's apache configurations conflict with each other,
# and in any case we (SUSE) don't support installing openATTIC on a Crowbar
# admin node.
Conflicts:  crowbar
Recommends: logrotate
Recommends: %{name}-gui
Recommends: %{name}-module-ceph
Recommends: %{name}-module-ceph-deployment

%description
openATTIC is a storage management system based upon Open Source tools with
a comprehensive user interface that allows you to create, share and backup
storage space on demand.

It comes with an extensible API focused on modularity, so you can tailor
your installation exactly to your needs and embed openATTIC in your existing
data center infrastructure.

This metapackage installs the most common set of openATTIC modules along
with the basic requirements. Those modules are:

  * LVM
  * NFS
  * HTTP
  * LIO (iSCSI, FC)
  * Samba
  * Nagios
  * Cron
  * MailAliases (EMail configuration)

Upstream URL: http://www.openattic.org

%package base
%{?systemd_requires}
Requires:	bridge-utils
Requires:	bzip2
Requires:	dbus-1
Requires:	python-django-filter
Requires:	python-djangorestframework = 2.4.4
Requires:	python-djangorestframework-bulk
Requires:	python-M2Crypto
Requires:	memcached
Requires:	apache2-mod_wsgi
Requires:	ntp
Requires:	python-numpy
Requires:	policycoreutils
Requires:	python-gobject2
Requires:	dbus-1-python
Requires:	python-configobj
Requires:	python-django = 1.6.11
Requires:	python-imaging
Requires:	python-m2ext
Requires:	python-memcached
Requires:	python-netaddr
Requires:	python-netifaces
Requires:	python-pam
Requires:	python-psycopg2
Requires:	python-pyudev
Requires:	python-requests
Requires:	python-simplejson
Requires:	udisks2
Requires:	vlan
Requires:	wget
Requires:	xfsprogs
Requires(pre): shadow
Summary: Basic requirements for openATTIC

%description base
openATTIC is a storage management system based upon Open Source tools with
a comprehensive user interface that allows you to create, share and backup
storage space on demand.

This package installs the basic framework for openATTIC, which consists
of the RPC and System daemons. You will not be able to manage any storage
using *just* this package, but the other packages require this one to be
available.

%package gui
Requires: %{name}-base = %{version}
Requires: policycoreutils
Requires: policycoreutils-python
Requires: selinux-tools
Summary: The openATTIC Web Interface

%description gui
openATTIC is a storage management system based upon Open Source tools with
a comprehensive user interface that allows you to create, share and backup
storage space on demand.

This package includes the Web UI based on AngularJS/Bootstrap.

%package module-ceph
Requires: %{name}-base = %{version}
Summary: Ceph module for openATTIC

%description module-ceph
openATTIC is a storage management system based upon Open Source tools with
a comprehensive user interface that allows you to create, share and backup
storage space on demand.

This package includes support for Ceph, a distributed storage system
designed to provide excellent performance, reliability, and scalability.

%package module-ceph-deployment
Requires: ceph-common >= 10.0.0
Requires: %{name}-module-ceph
Requires: deepsea
Summary: Ceph deployment and management module for openATTIC

%description module-ceph-deployment
openATTIC is a storage management system based upon Open Source tools with a
comprehensive user interface that allows you to create, share and backup storage
space on demand.

This package includes deployment and remote management support for Ceph, a
distributed storage system designed to provide excellent performance,
reliability, and scalability. It is based on the "DeepSea" collection of Salt
files (https://github.com/SUSE/DeepSea).

%package module-btrfs
Requires:	btrfsprogs
Requires: %{name}-base = %{version}
Summary: BTRFS module for openATTIC

%description module-btrfs
openATTIC is a storage management system based upon Open Source tools with
a comprehensive user interface that allows you to create, share and backup
storage space on demand.

This package includes support for BTRFS, a new copy on write filesystem for
Linux aimed at implementing advanced features while focusing on fault
tolerance, repair and easy administration.

%package module-cron
Requires: cron
Requires: %{name}-base = %{version}
Summary: Cron module for openATTIC

%description module-cron
openATTIC is a storage management system based upon Open Source tools with
a comprehensive user interface that allows you to create, share and backup
storage space on demand.

Cron is a service that provides scheduled task execution. This package
provides configuration facilities for scheduled tasks (a.k.a. Cron jobs).

%package module-drbd
Requires:	drbd
Requires: %{name}-base = %{version}
Summary: DRBD module for openATTIC

%description module-drbd
openATTIC is a storage management system based upon Open Source tools with
a comprehensive user interface that allows you to create, share and backup
storage space on demand.

LINBIT's Distributed Replicated Block Device is a data replication tool that
mirrors volumes to another openATTIC host in a block oriented fashion. It is
often referred to as RAID-1 over IP.

This module provides the groundwork for building high availability clusters
using openATTIC.

%package module-http
Requires:	apache2
Requires: %{name}-base = %{version}
Summary: HTTP module for openATTIC

%description module-http
openATTIC is a storage management system based upon Open Source tools with
a comprehensive user interface that allows you to create, share and backup
storage space on demand.

The Hypertext Transfer Protocol is not only used for serving web sites, but
can also be used for serving other files in a read-only fashion. This is
commonly used for disk images or software repositories.

This package installs a module which allows you to share volumes or
subdirectories using Apache2.

%package module-lio
Requires: %{name}-base = %{version}
Requires: python-rtslib
# Welche Pakte werden hierfür benötigt
Summary:  LIO module for openATTIC

%description module-lio
openATTIC is a storage management system based upon Open Source tools with
a comprehensive user interface that allows you to create, share and backup
storage space on demand.

This package includes support for the LIO Linux SCSI Target, which allows
users to configure FibreChannel, FCoE and iSCSI targets over the openATTIC
user interface.

%package module-lvm
Requires:	lvm2
Requires: %{name}-base = %{version}
Summary: LVM module for openATTIC

%description module-lvm
openATTIC is a storage management system based upon Open Source tools with
a comprehensive user interface that allows you to create, share and backup
storage space on demand.

Handles partitioning of physical disks into volumes using the Linux Logical
Volume Manager. LVM supports enterprise level volume management of disk
and disk subsystems by grouping arbitrary disks into volume groups. The
total capacity of volume groups can be allocated to logical volumes, which
are accessed as regular block devices.

%package module-mailaliases
Requires: %{name}-base = %{version}
Requires:	smtp_daemon
Summary: MailAliases module for openATTIC

%description module-mailaliases
openATTIC is a storage management system based upon Open Source tools with
a comprehensive user interface that allows you to create, share and backup
storage space on demand.

Mail Transfer Agents use a file named /etc/aliases in order to configure
mail redirection for certain users. This package contains an openATTIC module
which automatically alters this file to match the users configured in the
openATTIC database.

%package  module-icinga
Requires:	icinga
Requires:	monitoring-plugins-common
Requires: %{name}-base = %{version}
Requires:	pnp4nagios
Requires: monitoring-plugins-http
Requires: monitoring-plugins-swap
Requires: monitoring-plugins-ssh
Requires: monitoring-plugins-ping
Requires: monitoring-plugins-disk
Requires: monitoring-plugins-users
Requires: monitoring-plugins-procs
Requires: monitoring-plugins-load
Requires: monitoring-plugins-tcp

Summary: Nagios module for openATTIC

%description module-icinga
openATTIC is a storage management system based upon Open Source tools with
a comprehensive user interface that allows you to create, share and backup
storage space on demand.

Nagios is a widely used system monitoring solution. This package installs a
module which automatically configures service checks for your configured
volumes and shares, measures performance data, and provides you with an
intuitive user interface to view the graphs.

This package also contains the Nagios check plugins for openATTIC, namely:
 * check_diskstats
 * check_iface_traffic
 * check_openattic_systemd

%package module-nfs
Requires:	nfs-kernel-server
Requires: %{name}-base = %{version}
Summary: NFS module for openATTIC

%description module-nfs
openATTIC is a storage management system based upon Open Source tools with
a comprehensive user interface that allows you to create, share and backup
storage space on demand.

Network File System is the most widely used mechanism for sharing files
between UNIX hosts. This package installs a module that allows Volumes to
be shared using NFS, which is the recommended way not only for UNIXes, but
also for VMware ESX virtualization hosts.

%package module-samba
Requires: %{name}-base = %{version}
Requires:	samba
Summary: Samba module for openATTIC

%description module-samba
openATTIC is a storage management system based upon Open Source tools with
a comprehensive user interface that allows you to create, share and backup
storage space on demand.

Samba implements the SMB/CIFS protocol and enables file sharing with hosts
that run the Microsoft Windows family of operating systems. This package
provides configuration facilities for Samba Shares.

%package module-zfs
Requires:	zfs
Requires: %{name}-base = %{version}
Summary: ZFS module for openATTIC

%description module-zfs
openATTIC is a storage management system based upon Open Source tools with
a comprehensive user interface that allows you to create, share and backup
storage space on demand.

This package includes support for ZFS, a pooled file system designed for
maximum data integrity, supporting data snapshots, multiple copies, and data
checksums. It depends on zfsonlinux, the native Linux port of ZFS.

%package pgsql
Requires: postgresql
Requires:	postgresql-server
Requires(pre):	%{name}-base = %{version}
Summary: PGSQL database for openATTIC

%description pgsql
openATTIC is a storage management system based upon Open Source tools with
a comprehensive user interface that allows you to create, share and backup
storage space on demand.

This package configures the PostgreSQL database for openATTIC.

%prep
%setup -q

%build

%install

# Build up target directory structure
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/openattic-gui
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/http/volumes
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/nfs_dummy
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/static
mkdir -p %{buildroot}%{_localstatedir}/log/%{name}
mkdir -p %{buildroot}%{_localstatedir}/lock/%{name}
mkdir -p %{buildroot}/srv/www/htdocs/
mkdir -p %{buildroot}%{_mandir}/man1/
mkdir -p %{buildroot}%{nagios_plugindir}
mkdir -p %{buildroot}%{icinga_sysconfdir}/objects/
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/apache2/conf.d/
mkdir -p %{buildroot}%{_sysconfdir}/cron.d/
mkdir -p %{buildroot}%{_sysconfdir}/dbus-1/system.d/
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
mkdir -p %{buildroot}%{_sysconfdir}/modprobe.d/
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/databases
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_prefix}/lib/tmpfiles.d/
%if 0%{?suse_version}
mkdir -p %{buildroot}/var/adm/fillup-templates
%else
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
%endif

# Install Backend and binaries
rsync -aAX backend/ %{buildroot}%{_datadir}/%{name}
install -m 644 version.txt %{buildroot}%{_datadir}/%{name}
rm -rf %{buildroot}%{_datadir}/%{name}/.style.yapf
rm -rf %{buildroot}%{_datadir}/%{name}/.pep8
rm -rf %{buildroot}%{_datadir}/%{name}/pkgapt
rm -rf %{buildroot}%{_datadir}/%{name}/installed_apps.d/*_pkgapt
install -m 755 bin/oaconfig   %{buildroot}%{_sbindir}
install -m 755 bin/blkdevzero %{buildroot}%{_sbindir}
install -d 755 %{buildroot}%{_libdir}/nagios/plugins
#install -m 755 backend/nagios/plugins/check_cephcluster %{buildroot}%{_libdir}/nagios/plugins
#install -m 755 backend/nagios/plugins/check_cephpool %{buildroot}%{_libdir}/nagios/plugins
#install -m 755 backend/nagios/plugins/check_cephrbd %{buildroot}%{_libdir}/nagios/plugins


# Install Web UI
rsync -aAX webui/dist/ %{buildroot}%{_datadir}/openattic-gui/
sed -i -e 's/^ANGULAR_LOGIN.*$/ANGULAR_LOGIN = False/g' %{buildroot}%{_datadir}/%{name}/settings.py

# Install HTML redirect
install -m 644 webui/redirect.html %{buildroot}/srv/www/htdocs/index.html

%if 0%{?suse_version}
install -m 644 rpm/sysconfig/%{name}.SUSE %{buildroot}/var/adm/fillup-templates/sysconfig.%{name}
%else
install -m 644 rpm/sysconfig/%{name}.RedHat %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%endif

# Install db file
install -m 640 etc/openattic/database.ini %{buildroot}%{_sysconfdir}/%{name}/

# configure dbus
install -m 644 etc/dbus-1/system.d/%{name}.conf.SUSE %{buildroot}%{_sysconfdir}/dbus-1/system.d/%{name}.conf

install -m 644 etc/modprobe.d/drbd.conf %{buildroot}%{_sysconfdir}/modprobe.d/

install -m 644 etc/logrotate.d/%{name} %{buildroot}%{_sysconfdir}/logrotate.d/
touch %{buildroot}%{_localstatedir}/log/%{name}/%{name}.log

# install man pages
install -m 644 man/*.1 %{buildroot}%{_mandir}/man1/
gzip %{buildroot}%{_mandir}/man1/*.1

#configure nagios
install -m 644 etc/nagios-plugins/config/%{name}.cfg %{buildroot}%{icinga_sysconfdir}/objects/%{name}_plugins.cfg
echo >> %{buildroot}%{icinga_sysconfdir}/objects/%{name}_plugins.cfg
cat etc/nagios-plugins/config/%{name}-ceph.cfg >> %{buildroot}%{icinga_sysconfdir}/objects/%{name}_plugins.cfg
install -m 644 etc/nagios3/conf.d/%{name}_*.cfg      %{buildroot}%{icinga_sysconfdir}/objects/

for NAGPLUGIN in `ls -1 %{buildroot}%{_datadir}/%{name}/nagios/plugins/`; do
    ln -s "%{_datadir}/%{name}/nagios/plugins/$NAGPLUGIN" "%{buildroot}%{nagios_plugindir}/$NAGPLUGIN"
done

install -m 444 etc/systemd/%{name}-systemd.service.SUSE %{buildroot}%{_unitdir}/%{name}-systemd.service
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rcopenattic-systemd
install -m 644 etc/tmpfiles.d/%{name}.conf %{buildroot}%{_prefix}/lib/tmpfiles.d/

# openATTIC httpd config
install -m 644 etc/apache2/conf-available/%{name}-volumes.conf %{buildroot}%{_sysconfdir}/apache2/conf.d/
install -m 644 etc/apache2/conf-available/%{name}.conf         %{buildroot}%{_sysconfdir}/apache2/conf.d/

%if 0%{?suse_version} >= 1020
%fdupes %{buildroot}
%endif

%pre base
# create openattic user/group  if it does not exist
if getent group openattic > /dev/null ; then
  echo "openattic group already exists"
else
  groupadd -r openattic 2>/dev/null || :
  usermod -a --groups openattic wwwrun 2>/dev/null || :
  usermod -a --groups openattic %{nagios_user} 2>/dev/null || :
  usermod -a -G openattic icinga || :
fi

if getent passwd openattic > /dev/null ; then
  echo "openattic user already exists"
else
  useradd -r -g openattic -d /var/lib/openattic -s /bin/bash -c "openATTIC System User" openattic 2>/dev/null || :
  usermod -a --groups %{nagios_group}, %{nagios_command_group},nagcmd,www openattic 2>/dev/null || :
fi
%service_add_pre %{name}-systemd.service
exit 0

%post base
%service_add_post %{name}-systemd.service
%fillup_and_insserv
systemd-tmpfiles --create %{_prefix}/lib/tmpfiles.d/%{name}.conf

%posttrans
# The setup of apache2 may not be finished at the %post stage due to
# scriptlets included in apache2's own posttrans. So we need to move
# the attempt to start it here:
oaconfig install || oaconfig install --allow-broken-hostname
systemctl enable apache2
systemctl start apache2

%preun base
systemd-tmpfiles --remove %{_prefix}/lib/tmpfiles.d/%{name}.conf
%service_del_preun %{name}-systemd.service

%postun base
%service_del_postun %{name}-systemd.service
systemctl try-restart apache2

%post gui
# semanage fcontext -a -t httpd_sys_rw_content_t "/usr/share/openattic-gui(/.*)?"
# restorecon -vvR
systemctl try-restart apache2

%postun gui
# semanage fcontext -d -t httpd_sys_rw_content_t "/usr/share/openattic-gui(/.*)?"
# restorecon -vvR
systemctl try-restart apache2

%post pgsql
# Configure Postgres DB
systemctl enable postgresql
systemctl start postgresql

%postun pgsql
if [ $1 -eq 0 ] ; then
  echo "Note: removing this package does not delete the"
  echo "corresponding PostgreSQL database by default."
  echo "If you want to drop the openATTIC database and"
  echo "database user, run the following commands as root:"
  echo ""
  echo "su - postgres -c psql"
  echo "postgres=# drop database openattic"
  echo "postgres=# drop user openattic"
  echo "postgres=# \q"
  echo ""
fi

%files
%defattr(-,root,root,-)
%doc CHANGELOG CONTRIBUTING.rst COPYING README.rst

%files base
%defattr(-,openattic,openattic,-)
%dir %{_localstatedir}/lib/%{name}
%attr(0775,-,-) %dir %{_localstatedir}/log/%{name}
%attr(660,-,-) %{_localstatedir}/log/%{name}/%{name}.log
%ghost %dir %{_localstatedir}/lock/%{name}
%defattr(-,root,root,-)
%{_sbindir}/blkdevzero
%{_sbindir}/oaconfig
%config %{_sysconfdir}/dbus-1/system.d/%{name}.conf
%{_unitdir}/%{name}-systemd.service
%{_prefix}/lib/tmpfiles.d/%{name}.conf
%{_sbindir}/rcopenattic-systemd
%config %{_sysconfdir}/apache2/conf.d/%{name}.conf
%if 0%{?suse_version}
/var/adm/fillup-templates/sysconfig.%{name}
%else
%config %{_sysconfdir}/sysconfig/openattic
%endif
%config %{_sysconfdir}/logrotate.d/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/installed_apps.d
%dir %{_sysconfdir}/%{name}/
%doc %{_mandir}/man1/oaconfig.1.gz
%{_datadir}/%{name}/cmdlog/
%{_datadir}/%{name}/ifconfig/
%{_datadir}/%{name}/__init__.py*
%{_datadir}/%{name}/installed_apps.d/20_volumes
%{_datadir}/%{name}/installed_apps.d/60_taskqueue
%{_datadir}/%{name}/locale/
%{_datadir}/%{name}/manage.py*
%{_datadir}/%{name}/nodb/
%{_datadir}/%{name}/oa_auth.py*
%{_datadir}/%{name}/openattic.wsgi
%{_datadir}/%{name}/pamauth.py*
%{_datadir}/%{name}/processors.py*
%{_datadir}/%{name}/rest/
%{_datadir}/%{name}/serverstats.wsgi
%{_datadir}/%{name}/settings.py*
%{_datadir}/%{name}/systemd/
%{_datadir}/%{name}/sysutils/
%{_datadir}/%{name}/taskqueue/
%{_datadir}/%{name}/templates/
%{_datadir}/%{name}/urls.py*
%{_datadir}/%{name}/userprefs/
%{_datadir}/%{name}/version.txt
%{_datadir}/%{name}/views.py*
%{_datadir}/%{name}/volumes/
%{_datadir}/%{name}/exception.py*
%{_datadir}/%{name}/utilities.py*

%files module-btrfs
%defattr(-,root,root,-)
%{_datadir}/%{name}/installed_apps.d/10_btrfs
%{_datadir}/%{name}/btrfs/

%files module-ceph
%defattr(-,root,root,-)
%{_datadir}/%{name}/installed_apps.d/60_ceph
%{_datadir}/%{name}/ceph/
%{nagios_plugindir}/check_cephcluster
%{nagios_plugindir}/check_cephpool
%{nagios_plugindir}/check_cephrbd

%files module-ceph-deployment
%defattr(-,root,root,-)
%{_datadir}/%{name}/installed_apps.d/60_ceph_deployment
%{_datadir}/%{name}/ceph_deployment/

%files gui
%defattr(-,root,root,-)
%{_datadir}/%{name}-gui
/srv/www/htdocs/index.html

%files module-cron
%defattr(-,root,root,-)
%{_datadir}/%{name}/installed_apps.d/09_cron
%{_datadir}/%{name}/cron/

%files module-drbd
%defattr(-,root,root,-)
%config %{_sysconfdir}/modprobe.d/drbd.conf
%{_datadir}/%{name}/drbd/
%{_datadir}/%{name}/installed_apps.d/60_drbd

%files module-http
%defattr(-,root,root,-)
%{_datadir}/%{name}/http/
%{_datadir}/%{name}/installed_apps.d/60_http
%config %{_sysconfdir}/apache2/conf.d/openattic-volumes.conf
%defattr(-,openattic,openattic,-)
%{_localstatedir}/lib/%{name}/http/

%post module-http
systemctl try-restart apache2

%files module-lio
%defattr(-,root,root,-)
%{_datadir}/%{name}/installed_apps.d/60_lio
%{_datadir}/%{name}/lio/

%files module-lvm
%defattr(-,root,root,-)
%{_datadir}/%{name}/lvm/
%{_datadir}/%{name}/installed_apps.d/10_lvm

%post module-lvm
systemctl enable lvm2-lvmetad
systemctl start lvm2-lvmetad

%files module-mailaliases
%defattr(-,root,root,-)
%{_datadir}/%{name}/mailaliases/
%{_datadir}/%{name}/installed_apps.d/50_mailaliases

%files module-icinga
#/etc/pnp4nagios/check_commands/check_diskstats.cfg
#/etc/pnp4nagios/check_commands/check_all_disks.cfg
%defattr(-,root,root,-)
%config %{icinga_sysconfdir}/objects/openattic_plugins.cfg
%config %{icinga_sysconfdir}/objects/openattic_static.cfg
%config %{icinga_sysconfdir}/objects/openattic_contacts.cfg
%{nagios_plugindir}/check_cputime
%{nagios_plugindir}/check_diskstats
%{nagios_plugindir}/check_drbdstats
%{nagios_plugindir}/check_iface_traffic
%{nagios_plugindir}/check_lvm_snapshot
%{nagios_plugindir}/check_oa_utilization
%{nagios_plugindir}/check_openattic_systemd
%{nagios_plugindir}/check_protocol_traffic
%{nagios_plugindir}/notify_openattic
%{_datadir}/%{name}/installed_apps.d/50_nagios
%{_datadir}/%{name}/nagios
%attr(0644, -, -) %{_datadir}/%{name}/nagios/restapi.py

%post module-icinga
chkconfig icinga on
chkconfig npcd on
systemctl start icinga.service
systemctl start npcd.service
grep -q objects/openattic_plugins.cfg$ %{icinga_sysconfdir}/icinga.cfg || \
sed -i '/^# You can specify individual object/a \
cfg_file=%{icinga_sysconfdir}/objects/openattic_plugins.cfg\
cfg_file=%{icinga_sysconfdir}/objects/openattic_static.cfg' \
        %{icinga_sysconfdir}/icinga.cfg

%files 	module-nfs
%defattr(-,openattic,openattic,-)
%{_localstatedir}/lib/%{name}/nfs_dummy/
%defattr(-,root,root,-)
%{_datadir}/%{name}/installed_apps.d/60_nfs
%{_datadir}/%{name}/nfs/

%post module-nfs
systemctl enable rpcbind
systemctl enable nfsserver
systemctl start rpcbind
systemctl start nfsserver

%files 	module-samba
%defattr(-,root,root,-)
%{_datadir}/%{name}/installed_apps.d/60_samba
%{_datadir}/%{name}/samba/

%post module-samba
systemctl enable nmb
systemctl start nmb
systemctl enable smb
systemctl start smb

%files 	module-zfs
%defattr(-,root,root,-)
%{_datadir}/%{name}/installed_apps.d/30_zfs
%{_datadir}/%{name}/zfs/

%files 	pgsql
%defattr(-,openattic,openattic,-)
%config(noreplace) %{_sysconfdir}/%{name}/database.ini

%changelog
* Wed Apr 26 2017 lgrimmer@suse.com
- Update to version 2.0.20
- See CHANGELOG for detailed changes
- Reverted to upstream branding
* Thu Apr  6 2017 lgrimmer@suse.com
- Added openattic-2.0.19-ses4.patch to fix a dbus-send error
  (bsc#1032263) and config file location in the systemd unit file
* Sun Mar 26 2017 lgrimmer@suse.com
- Mark lock directory as %%ghost
* Sun Mar 26 2017 lgrimmer@suse.com
- Update to 2.0.19-ses4 (0f7ab3e47a82)
- See CHANGELOG for detailed changes
- Updated RPM spec file (use a single source tarball for building,
  removed obsolete packages, removed redundant configuration files,
  use more macros)
* Tue Feb 21 2017 skrah@suse.com
- Correct branding
* Fri Feb 10 2017 tdehler@suse.com
- Version 2.0.18 hg b985e69
- WebUI/QA: Added test that deletes multiple hosts at once (OP-1817)
- WebUI: Enables the RBD form to create RBDs after reloading (OP-1839)
- WebUI: Enabled multiple host deletion (OP-1816)
- WebUI: Improve RBD creation error messages (OP-1527)
- WebUI: Fixes WWN duplication error (OP-1842)
- WebUI: Task-queue UI implementation (OP-1418)
- WebUI/QA: Tests for task-queue implementation (OP-1746)
- Documentation: Documentation of background task and task-queue
  usage (OP-1747)
- WebUI: Fixes loading spinner disappearance problem (OP-1495)
- WebUI: Displays RBD utilization graphs in the RBD details view (OP-1592)
- WebUI: Show the openATTIC version number on each node (OP-1619)
- WebUI: Removed not implemented widgets (OP-1191)
- WebUI: Colorize the disk/pool/volume status icons depending on their
  classification. (OP-1891)
- Backend/QA: Added timestamps to verbose output to map the testcase and to
  the related openattic.log file entry (OP-1841)
- Documentation: Added Ubuntu Xenial to the list of distributions provided by
  our repository (OP-1543)
- Deployment: Improve error messages and handling of errors of make_dist.py
  related to debchange (OP-1804)
- Installation: Changing the database password during oaconfig install now
  follows the symlink from database.ini to pgsql.ini instead of creating a new
  file (OP-1821)
- Installation: Fixed %%post scriplet failure in the openattic-module-ceph RPM
  package (OP-1820)
- Installation: Added missing configuration entries to the SUSE sysconfig
  file (PR#576)
- Installation: Make oaconfig respect the username and database name stored in
  database.ini to create/connect to a database (PR#599)
- Packaging: Added the ability to add mercurial tags to a repository when
  creating a tarball using make_dist.py (OP-1374)
- Packaging: Enable to use suffixes for the tarball creation using
  make_dist.py (OP-1875)
- Packaging: Confusing message about how to delete the openATTIC database is
  no longer shown when updating the openattic-pgsql package (OP-1537)
- Development: Fix rtslib import warnings in Vagrant Xenial boxes. (OP-1858)
- Development: Reconfigure default gateway in Vagrant boxes to set the correct
  primary interface during 'oaconfig install'. (OP-1874)
- Documentation: Adapt Vagrant developer documentation.
* Tue Feb  7 2017 tdehler@suse.com
- Update specfile in order to show a message about removing the oA
  database only if the pgsql package is going to be deleted
- The message is not shown if the package is going to be updated
- Improve message text
- oA tracker ref.: OP-1537
* Mon Jan 23 2017 lgrimmer@suse.com
- Applied changes made in preparation for the SES4 packaging
- Ensure openattic user exists prior to installation of openattic-pqsql
- Do not setup pgsql table with default password (bsc#1010882)
- Do not restart apache2 unconditionally during package updates but use
  try-restart
* Thu Jan 19 2017 tdehler@suse.com
- Start apache in posttrans and run 'oaconfig install' before to prevent
  failures (bsc#1020908)
* Thu Jan 12 2017 ejackson@suse.com
- Reverting to branding
* Thu Jan 12 2017 ejackson@suse.com
- Converting to vanilla openATTIC
* Thu Jan 12 2017 ejackson@suse.com
- Correct branding
* Wed Dec 21 2016 ejackson@suse.com
- Version 2.0.17 hg 003010cd6ed5
- Backend: RPC API dependencies removed in oaconfig (OP-1255)
- Backend: Infinite hanging librados calls are avoided by separated Apache
  processes with timeouts (OP-1340)
- Backend: Fixed creation of NFS and Samba shares on Ubuntu Xenial
  (OP-1697)
- Backend: Fixed XML-RPCD on Ubuntu Xenial (OP-1698)
- Backend: Fixed creation of volume snapshots on Xenial (OP-1699)
- Backend: Fixed btrfs not being available when adding a new volume (OP-1726)
- Backend: Fixed pagination on Xenial (OP-1727)
- Backend: Fix Nagios scripts to get the volume usage statistics working
  again (OP-1403)
- Backend: Fixed compatibility issues in our Ceph module on Xenial (OP-1763)
- Backend: Fixed calls to systemd (not oA systemd) (OP-1769)
- Backend: Fixed truncated dropdown inputs on Xenial (OP-1788)
- Backend: Use `reload-or-restart` instead of plain `reload` for restarting
  services on systemd-based operating systems (OP-984).
- Backend: Change taskqueue description and result fields to `TextField` (OP-1755)
- Installation: Fixed Apache redirect from `/` to `/openattic` on Ubuntu
  Xenial (OP-1672)
- Installation: Replaced hard-coded paths in systemd unit files with
  OADIR variable. Thanks to Ricardo Marques. (PR#522)
- WebUI: Display and generate a user's API auth token. (OP-815)
- WebUI: Render the Disks/Pools/Volumes indication of size in the
  frontend (OP-1115)
- WebUI: Display alternative graph image if loading fails (OP-1403)
- WebUI: Make the Disks/Pools/Volumes datatable sortable by additional
  criteria (OP-1427)
- WebUI: Add a button to the API Recorder dialog to copy the Python script
  into clipboard. (OP-1706)
- WebUI: Fixes iSCSI/FC wizard issue (OP-1718)
- WebUI: Modify the API-Recorder Start/Stop buttons (OP-1720)
- WebUI: Display tooltips again (OP-1749)
- WebUI: Remove the OSD selection (OP-1615)
- WebUI: Prevent the disabling of all columns in oA-datatables (OP-1158)
- WebUI: Validate the right WWN formats in the selected host share method (OP-1786)
- WebUI/QA: E2E adjustments related to OP-1786 (OP-1787)
- WebUI/QA: Try to disable all columns and expect not to succeed (OP-1718)
- WebUI/QA: refactored cmdlog e2e tests (OP-1797)
- Installation: Fix Permission denied: '/usr/bin/pip' for Vagrant development
  environment using SUSE Leap (OP-1715)
- Installation: New database instances are created using a random password.
  This change applies to RPM packages only. (OP-1438)
- Installation: Improved error message for problems with database.ini (OP-1739)
- Installation: Fix a bug with recreation of the database (OP-1757)
- Installation: Properly restart npcd in `oaconfig install` on distributions using systemd (OP-1688)
- Documentation: Applied some fixes contributed by Ricardo Marques (PR#523)
- Development: Fix storage controller issue with the Vagrant Debian box.
- Development: Fix patch file which is customizing settings in a Vagrant VM.
- Development: Fix vagrant-cachier issues. (OP-1466)
- Documentation: Added chapter about multinode setup (OP-1045)
* Tue Nov 15 2016 ejackson@suse.com
- Move log file to base package (bnc#1006504)
* Mon Nov 14 2016 ejackson@suse.com
- Version 2.0.16 hg b4b44f51a95d
- Backend: The REST API 'host' resource returns the openATTIC version (in
  version.txt) if the host is an openATTIC host (OP-553)
- Backend: The REST API 'host' resource returns the installed Django apps if
  the host is an openATTIC host (OP-1023)
- Backend: Removed ID parameter from volume update view (OP-1473)
- Backend: Salt minions keys can now be accepted via our REST API (OP-1601)
- Backend: Reverted NAGIOS_PLUGIN_DIR on SUSE back to `/usr/lib/nagios/plugins`
- Backend: The backend does no longer print the whole traceback into the
  logfile if the XML file of an RRD file is not found (OP-1632)
- Backend: Django migration files aren't checked by Flake8 anymore (OP-1638)
- Backend: Added reading and writing of the `policy.cfg` of DeepSea REST API (OP-1617)
- Backend: The is_oa_host field is set to True for oA hosts by 'oaconfig
  add-host' (OP-1665)
- Backend: Added database migrations for Django 1.6 (OP-1649)
- Backend: Fixed Bug on Ubuntu Trusty preventing deletion of iSCSI targets (OP-722)
- Backend: Fixed issue breaking the WebUI on Xenial (OP-1689)
- WebUI: Tabs will be selected as expected (OP-1082)
- Packaging: The python-configobj dependency is moved to the openattic-base
  package (OP-1666)
- Packaging: Added missing dependency openattic-module-cron in
  openattic-module-lvm (OP-1664)
* Mon Nov 14 2016 cgardner@suse.com
- bsc#1006504: added "Requires(Pre):" so that openattic-pgsql will be
  installed before openattic-base.
* Thu Nov  3 2016 alekshmanan@suse.com
- Version 2.0.15 hg 3274971f2c96
- WebUI: added SUSE branding
* Wed Oct 26 2016 tserong@suse.com
- Packaging: Add "Conflicts: crowbar" (bsc#998967)
* Wed Oct 12 2016 ejackson@suse.com
- Version 2.0.14.1 hg ace1987ecad0
- Backend: Improved custom error messages in the REST API (OP-497)
- Backend: Code cleanup (PEP8) for the following apps: DRBD, volumes,
  lvm and nagios (OP-838)
- Backend: Performance data for non existing Ceph clusters is no longer
  returned (OP-1406)
- Backend: The used_size of an RBD is now given by the
  'get_rbd_performance_data' task and not directly from the RbdApi. This
  should prevent the 504 error that sometimes occurred by getting RBDs
  (OP-1411)
- Backend: Added Nagios plugin to collect performance data of RBDs (OP-1444)
- Backend: The empty values at the end of the performance data collections
  are filtered now (OP-1470)
- Backend: Fixed compatibility issues with Django 1.8 and Django REST
  Framework 3 (OP-1210, OP-1490, OP-1486)
- Backend: Added support for Ubuntu 16.04 in our Vagrantfile (OP-1492)
- Backend: Fixed code-style for the following Django apps: samba, sysutils,
  nfs, cmdlog, ifconfig and http (OP-1503, OP-1505, OP-1506, OP-1511, OP-1517,
  OP-1519)
- Backend: The 'check_cephpool' Nagios plugin does return the correct outputs
  and exit codes (per the Nagios plugin development guidelines) in error and
  success case now (OP-1521)
- Backend: The Nagios plugins 'check_cephcluster' and 'check_cephpool' are
  now ending with the correct exit codes (as per the Nagios plugin development
  guidelines: https://nagios-plugins.org/doc/guidelines.html#AEN78) for
  invalid arguments (OP-1522)
- Backend: Moved general graphbuilder functionalities (get RRD, get Graph,
  get sources list) from the Ceph to the Nagios module (OP-1542)
- Backend: Fixed browsable REST API for Ceph Pools (OP-1549)
- Backend: The 'check_cephcluster' Nagios plugin does log into the
  openattic.log logfile if the conf file and/or the keyring do not exist or
  are not accessible (OP-1572)
- Backend: Fixed creation of Ceph erasure code profiles (OP-1574)
- Backend: Use `osd metadata` instead of `osd tree` to get the hostname
  of Ceph OSDs (OP-1573)
- Backend: Added read-only REST API returning
  `DeepSea <https://github.com/SUSE/DeepSea>`_ minions (OP-1469)
- Backend: Nagios config files including a dot (.) in filename are now
  deleted too (OP-1534)
- Backend: Fixed two Internal Server Errors when accessing Ceph
  resources (OP-1569)
- Backend: Fixed internal server error when creating invalid Erasure Code
  Profiles or deleting used ones (OP-1578)
- Backend/Installation: Fixed misleading debug message during `oaconfig
  install` (OP-1580)
- Backend: The `check_cephcluster` plugin now prints the correct message and
  returns the correct exit code in case of an error (OP-1586)
- Backend: Fixed `oaconfig install` on CentOS 7 (OP-1368)
- Backend: Fixed HEALTH_ERR not handled in `ceph.models.Pool#get_status` (OP-1593)
- WebUI: Blockstorage wizard can create a new host (OP-1150)
- WebUI: Added functionality to delete existing erasure code
  profiles (OP-1297)
- WebUI: Added functionality to add erasure code profiles when creating
  new Ceph pools (OP-1298)
- WebUI: Added performance data to the extended view of a ceph
  pool (OP-1405)
- WebUI: Bugfix - It's no longer possible to remove his own
  privileges (OP-1497)
- WebUI/QA: Blockstorage wizard host creation tests (OP-1496)
- WebUI/QA: Adds missing condition to filter test categories (OP-1551)
- Installation: Fixed `NAGIOS_PLUGIN_DIR` path in in the SUSE sysconfig
  file to point to the Icinga plugin directory. Thanks to Abhishek
  Lekshmanan. (PR-457)
- Packaging/Installation: Fixed installation issues on Ubuntu 16.04
  (OP-1012, OP-1484, OP-1494)
- Packaging/Installation: fixed permission problems for Nagios plugins that
  require writing to `openattic.log` or reading the Ceph key ring and
  configuration (OP-1320)
- Packaging/Installation: Added `openattic-module-ceph-deployment` RPM and
  DEB Packages for the DeepSea integration backend module. (OP-1566)
- Packaging: Fixes a bug with piped tarball paths to
  `build_deb_packages.py` (OP-1536)
- Packaging: Allow to override the default GPG key or disable the signing
  completely using `build_deb_packages.py` (OP-1435)
- Packaging: Separated the Ceph related Nagios commands into their own
  configuration file 'openattic-ceph.cfg' (OP-1548)
- Documentation: Updated Vagrant installation instructions (OP-1467),
  added chapter about customizing the WebUI (OP-1541).
- Documentation: Updated Ceph installation chapter, emphasizing the requirement
  of openATTIC and Nagios being able to read the Ceph config file and keyring
  (OP-1572). Emphasized the requirement of Ceph Jewel on both the Ceph cluster
  and the openATTIC node. Added a note to the EL7 installation instructions to
  perform a check of the Nagios configuration after editing it.
- Documentation: Fixed bug in the SUSE installation instructions (thanks to
  Kenneth Wimer for reporting this).
- Documentation: Improved the Debian/Ubuntu package installation chapter by
  removing some duplicate content and clarifying how to enable the nightly builds.
  (OP-1603)
* Sat Sep 17 2016 ejackson@suse.com
- Version 2.0.14 hg f1341c02e41e
- Backend: Removed unused module 'Clustering' (OP-1251)
- Backend: Fixed rtslib deprecation warning in LIO backend (OP-953)
- Backend: Added a task queue module to track long-running commands (OP-1360)
- Backend: Properly handle optional attributes of Ceph pools (OP-1416)
- Backend: Fixed broken call to `ceph/<fsid>/osds on
  http://demo.openattic.org (OP-1453)
- Monitoring: Fixed compatibility of the Ceph pool plugin with
  Django 1.6 (OP-1393)
- WebUI: Implemented a widget which displays the current state of the
  Ceph cluster (OP-85)
- WebUI: Create and delete ceph pools (OP-1299)
- WebUI: If quicklogin is defined in config.js, the username and password will
  be predefined (OP-1386)
- WebUI: Replaced malhar-angular-dashboard with a gridster based
  implemenation (OP-1485)
- WebUI: Allow sorting storage volumes by additional fields `Used`, `Status`,
  `Type` and `Created`. Thanks to Tahaa Karim. (OP-1427)
- WebUI/QA: Extended E2E test configuration by ceph pools and suite path
  filter (OP-1339)
- WebUI/QA: Added screenshot and error log functionality (OP-1375)
- WebUI/QA: Have more precised error messages in volume_add site
  in case of an error (OP-1376)
- WebUI/QA: Create and delete ceph pool tests (OP-1417)
- WebUI/QA: Fix a timing problem and create needed RBDs (OP-1461)
- WebUI/QA: Fix the timing problems with in the RBD creation test (OP-1471)
- WebUI/QA: Make e2e outDir and cephCluster attribute optional (OP-1474)
- WebUI/QA: Add sleeps for the rbd creation and deletion in e2e tests (OP-1489)
- Installation: `oaconfig version` now displays both the openATTIC and Django
  version numbers. Thanks to Brandon Keep. (OP-516)
- Installation: The `openattic-gui` RPM and DEB packages now take care of
  installing an `index.html` file in the Apache document root directory that
  performs a redirect to the WebUI. Previously, this task was performed by
  `oaconfig install`. Thanks to Brandon Keep. (OP-959)
- Development: Add Vagrantfile to easily set up a development environment
  (OP-1423)
- Documentation: Added instructions on how to set up a development system
  with Vagrant (OP-1439)
- Packaging: make_dist.py doesn't delete anything in the home directory
  anymore (OP-1371)
- Packaging: Simplified the usage of make_dist.py and prevented
  `build_deb_packages.py` from hanging indefinitely (OP-1431)
- Packaging: Fixed a bug where folder names had to be `openattic` to be
  correctly packaged using `make_dist.py` (OP-1447 and OP-1449)
- Packaging: Added a script `utils/build_rpm.sh` to the repository that
  converts a source tar archive created by `make_dist.py` into installable
  RPM packages (using `rpm/openattic.spec`) (OP-1117)
* Mon Sep  5 2016 lmb@suse.com
- Remove rpmlintrc for SES4 M1
* Fri Jul 29 2016 ejackson@suse.com
- release 2.0.13
* Thu Jul 28 2016 ejackson@suse.com
- corrected name
* Thu Jul 28 2016 ejackson@suse.com
- add nagios plugins
* Thu Jul 28 2016 ejackson@suse.com
- rbd creation, additional trending
* Wed Jun 22 2016 ejackson@suse.com
- forgot to sync... now the latest
* Wed Jun 22 2016 ejackson@suse.com
- restoring rpmlintrc
* Wed Jun 22 2016 ejackson@suse.com
- removing rpmlintrc
* Wed Jun 22 2016 ejackson@suse.com
- latest changes
* Thu Jun  9 2016 ejackson@suse.com
- refresh with latest updates
* Tue May 24 2016 ejackson@suse.com
- change ownership of /var/log/openattic
* Mon May 23 2016 ejackson@suse.com
- remove extraneous file
* Mon May 23 2016 ejackson@suse.com
- 2.0.12 unstable
* Wed Apr 27 2016 ejackson@suse.com
- Update to latest unstable; try new convention
* Wed Apr 13 2016 ejackson@suse.com
- Add python-rtslib dependency back
* Wed Apr  6 2016 ejackson@suse.com
- Adding copyright header back
* Wed Apr  6 2016 ejackson@suse.com
- Revert spec file changes (relevant changes are not yet merged)
* Wed Apr  6 2016 ejackson@suse.com
- Updating to 8087:39503579d74d
* Mon Apr  4 2016 ejackson@suse.com
- Adding dependency back despite what rpmlint claims
* Thu Mar 31 2016 ejackson@suse.com
- Removing .pep8
* Thu Mar 31 2016 ejackson@suse.com
- Adding nodb to spec
* Thu Mar 31 2016 ejackson@suse.com
- Updating to 7905:d5b9f812d9df
* Wed Mar 30 2016 ejackson@suse.com
- Restoring openattic-rpmlintrc
* Wed Mar 30 2016 ejackson@suse.com
- Remove openattic-rpmlintrc
* Fri Mar 25 2016 ejackson@suse.com
- move logrotate to base package
* Fri Mar 25 2016 ejackson@suse.com
- add logrotate recommends
* Fri Mar 25 2016 ejackson@suse.com
- cannot use %%find_lang
* Fri Mar 25 2016 ejackson@suse.com
- fix language warnings
* Fri Mar 25 2016 ejackson@suse.com
- addressing several rpmlint warnings
* Fri Mar 18 2016 ejackson@suse.com
- fix operator
* Fri Mar 18 2016 ejackson@suse.com
- do not add lines to icinga.cfg if already there
* Fri Mar 18 2016 ejackson@suse.com
- remove tmpfiles on uninstall
* Fri Mar 18 2016 ejackson@suse.com
- change to macro, add tmpfiles.d create command
* Thu Mar 17 2016 ejackson@suse.com
- Adding tmpfiles.d
* Thu Mar 17 2016 ejackson@suse.com
- Add additional nagios plugins
* Wed Mar 16 2016 ejackson@suse.com
- comment out /etc/profile.d/openattic.* entries
* Wed Mar 16 2016 ejackson@suse.com
- reverted to 2.0.8 spec file
* Wed Mar 16 2016 ejackson@suse.com
- include openattic-systemd
* Wed Mar 16 2016 ejackson@suse.com
- add reload/restarts to post/postun
* Wed Mar 16 2016 ejackson@suse.com
- replace remaining _libdir macros
* Wed Mar 16 2016 ejackson@suse.com
- replace _libdir macro
* Wed Mar 16 2016 ejackson@suse.com
- add %%dir for module-icinga
* Wed Mar 16 2016 ejackson@suse.com
- correcting tmpfiles.d path
* Wed Mar 16 2016 ejackson@suse.com
- remove /etc/default/openattic
* Wed Mar 16 2016 ejackson@suse.com
- add tmpfiles.d path
* Wed Mar 16 2016 ejackson@suse.com
- Commenting out elsif
* Wed Mar 16 2016 ejackson@suse.com
- Update to version 2.0.9
* Wed Mar  2 2016 ejackson@suse.com
- Correct files section
* Wed Mar  2 2016 ejackson@suse.com
- Install openattic.* in /etc/profile.d
* Wed Mar  2 2016 ejackson@suse.com
- Add version dependencies and update code
* Tue Mar  1 2016 ejackson@suse.com
- Require Django 1.6.11
* Tue Mar  1 2016 ejackson@suse.com
- Code refresh
* Mon Feb 22 2016 ejackson@suse.com
- Adding post-build-checks back
* Mon Feb 22 2016 ejackson@suse.com
- corrected files section
* Mon Feb 22 2016 ejackson@suse.com
- fixed path
* Mon Feb 22 2016 ejackson@suse.com
- Using templates for sysconfig
* Fri Feb 19 2016 ejackson@suse.com
- correcting paths
* Fri Feb 19 2016 ejackson@suse.com
- correcting paths
* Fri Feb 19 2016 ejackson@suse.com
- Adding sysconfig
* Fri Feb 19 2016 ejackson@suse.com
- Corrected directory name
* Fri Feb 19 2016 ejackson@suse.com
- Updating to tip
* Fri Feb 19 2016 ejackson@suse.com
- Updating to 2.0.7
* Thu Feb  4 2016 ejackson@suse.com
- fixed missing quote
* Thu Feb  4 2016 ejackson@suse.com
- Remove openattic_contacts from general config
* Wed Feb  3 2016 ejackson@suse.com
- Fixed path and trailing space
* Wed Feb  3 2016 ejackson@suse.com
- Remove postgresql version
* Tue Feb  2 2016 ejackson@suse.com
- Update postgresql from 93 to 94
* Tue Feb  2 2016 ejackson@suse.com
- Add openattic objects files to Icinga configuration
* Fri Jan 29 2016 ejackson@suse.com
- Switch to icinga macro
* Tue Jan 26 2016 ejackson@suse.com
- Corrected BuildRequires
* Tue Jan 26 2016 ejackson@suse.com
- Switching to Icinga from Nagios
